set linesize 120
set pagesize 400
set trimspool on
col object_name format a40
prompt Invalid database objects
select object_name,object_type,status,owner
  from dba_objects
  where status != 'VALID'
  and owner||object_name not in (
	'SYSTEM/109a284b_OracleXMLStaticQuery',
	'SYSTEM/12249373_OracleXMLStaticQuery',
	'SYSTEM/1f249eae_OracleADTName',
	'SYSTEM/20f12cf_OracleXMLSQLException',
	'SYSTEM/233ebe61_OracleXMLDocGenStrin',
	'SYSTEM/23714d96_OracleXMLDataSetGenJ',
	'SYSTEM/2d1ca5dd_OracleXMLDataSetExtJ',
	'SYSTEM/3ad949fd_OracleXMLUtil',
	'SYSTEM/3ce8c9fc_OracleXMLSave',
	'SYSTEM/3f8bf704_OracleCollectionName',
	'SYSTEM/41ef4922_OracleCursorName',
	'SYSTEM/482ed896_OracleXMLSQLNoRowsEx',
	'SYSTEM/4e2d263c_OracleXMLDocGenDOM',
	'SYSTEM/52bed193_OracleXMLQuery',
	'SYSTEM/5c4b55ba_OracleXMLStaticSave',
	'SYSTEM/61dfe75e_OracleXMLConvert',
	'SYSTEM/6caec517_OracleScalarName',
	'SYSTEM/72f0508e_OracleXMLDocGenLob',
	'SYSTEM/7e1f2f8f_OracleXMLStaticSaveS',
	'SYSTEM/9001dfa7_OracleColumnName',
	'SYSTEM/964b85ec_XSUXSchemaHandler',
	'SYSTEM/a152eb84_OracleXMLDataSet',
	'SYSTEM/b293975_OracleXMLDocGenDOMFra',
	'SYSTEM/b5bf304e_OracleXMLDocGen',
	'SYSTEM/c33162ba_OracleXMLStaticQuery',
	'SYSTEM/c499402b_OracleXMLDocGenSAX', 
	'SYSTEM/ed58df4e_OracleXMLDataSetJdbc',
	'SYSTEM/f57715f1_OracleXMLStaticSaveM',
	'SYSTEMOracleXMLStore',
	'SYS/1bac42ec_XDBRequestStream',
	'SYS/7b43fbca_XDBServletResponse',
	'SYS/86ba7ff3_XDBServletContext',
	'SYS/a7359489_XDBServletContainer',
	'SYS/dcd824bd_XDBServletConfig',
	'SYS/dd6f585b_XDBServletRequest',
	'SYS/f00055ae_XDBServletRequestPar',
	'SYSoracle/xdb/servlet/XDBCookie')
/
prompt disabled triggers
select trigger_name,status,owner
  from dba_triggers
  where status != 'ENABLED'
/
prompt disabled constraints
select constraint_name,status,owner
  from dba_constraints
  where status != 'ENABLED'
/
